(* CHARGEMENT DE LA BIBLIOTHÈQUE ************************************************)

#directory "/import/sglondu/minicaml/src" ;;		(* en C 411    *)
#directory "/noland/dptinfo/minicaml/src" ;;		(* à la maison *)
#load "parser.cma" ;;

(* TEST DU PARSEUR **************************************************************)

open Projet ;;

Sys.chdir "/import/sglondu/minicaml/tests" ;;		(* en C 411    *)
Sys.chdir "/noland/dptinfo/minicaml/tests" ;;		(* à la maison *)

let tests_src = [|
  "factorielle.ml"; "fib.ml";
  "arithmetics.ml"; "composition.ml";
  "cat.ml"; "referencep.ml"; "tuples.ml";
  "tordu.ml"; "tweak.ml"; "ooops.ml"
|] ;;

let tests = Array.map parse tests_src ;;

(* TEST DU COMPILATEUR **********************************************************)

#use "../src/translate.ml" ;;
let all_translated = Array.iter (output_prog stdout) tests ;;
let () = output_prog stdout tests.(8) ;;

(* TEST DU TYPEUR ***************************************************************)

#use "../src/typeur.ml" ;;
let all_typed = Array.iter type_prog tests ;;
let () = type_prog tests.(8) ;;

(********************************************************************************)
